@import "light.css" screen;
@import "dark.css" screen and (prefers-color-scheme: dark-mode);

.w250{width:250px !important;}
.w200{width:200px !important;}
.w150{width:150px !important;}
.w100{width:100px !important;}
.w50{width:50px !important;}
.w75{width:75px !important;}
.textAlignEnd{text-align:end;}


ul#column-toggle-menu.dropdown-menu{
    max-height: 300px;
    overflow-y: scroll;
}



.fleft{float:left;}
.fright{float:right;}
.menu-icon-sm{width:10px;}

.dropdown-OpenByID{
    
    width: max-content;
}

.open > .dropdown-menu-searchDiv{display:block;}
.dropdown-menu-searchDiv {
    display: none;
    position: absolute;
    top: 100%;
    background-color: white;
    left: 0;
    height: 40px;
    min-width: 240px;
    z-index: 55;
}
.dropdown-menu-searchInput{width:100%;}

.OpenWithIDInput {
    margin: 1px;
    width: 100px;
    display: inline-block;
    margin: 0;
}
.OpenByID_A {
    width: 95px;
    display: inline-block !important; padding:0 !important; margin:0 !important;
}
.body-content {
    padding-left: 15px;
    padding-right: 15px
}

html {
    font-size: calc(.775rem - -.25 *(100vw - 30rem)/ 100);
}

body {
    padding-bottom: 0;
    text-rendering: optimizeLegibility !important;
    /*max-height: calc(100vh - 60px);*/
}
#page-wrapper{min-height: calc(100vh - 60px);}
    .glow {
        
        -webkit-animation: glow 1s ease-in-out infinite alternate;
        -moz-animation: glow 1s ease-in-out infinite alternate;
        animation: glow 1s ease-in-out infinite alternate;
    }
.glowBorder {
    -webkit-box-shadow: 0 0 17px 3px #ffff,0 0 4px 2px #ffff;
    box-shadow: 0 0 17px 3px #ffff,0 0 4px 2px #ffff;
    z-index: -1;
    -webkit-animation-name: gradient-shadow;
    animation-name: gradient-shadow;
    -webkit-animation-timing-function: ease;
    animation-timing-function: ease;
    -webkit-animation-duration: 2s;
    animation-duration: 2s;
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
}
.blob.white {

    filter: drop-shadow(0 0 0 0 rgba(255, 255, 255, 1));
    animation: pulse-white 2s infinite;
}
@keyframes pulse-white {
    0% {
        transform: scale(0.95);
        filter: drop-shadow(0 0 0 0 rgba(255, 255, 255, 0.7));
    }

    70% {
        transform: scale(1);
        filter: drop-shadow(0 0 0 0 rgba(255, 255, 255, 0));
    }

    100% {
        transform: scale(0.95);
        filter: drop-shadow(0 0 0 0 rgba(255, 255, 255, 0));
    }
}

/*buttons*/
.orangeBG{background-color:orange; background:orange;}
.round_shadow_button {
    font: 14px/2.3em trebuchet,arial;
    color: white;
    text-shadow: 0 1px 0 #fff;
    text-align: center;
    text-decoration: none;
    display: block;
    padding: 0 5px;
/*    margin: 3px auto 5px;*/
/*    background: #fff url(btn.png) repeat-x bottom;*/
    border: 1px solid #ddd;
    -moz-border-radius: 6px;
    -webkit-border-radius: 6px;
    -o-border-radius: 6px;
    -ms-border-radius: 6px;
    border-radius: 6px;
    -moz-box-shadow: 0 3px 5px #ccc;
    -webkit-box-shadow: 0 3px 5px #ccc;
    -o-box-shadow: 0 3px 5px #ccc;
    -ms-box-shadow: 0 3px 5px #ccc;
    box-shadow: 0 3px 5px #ccc;
}
    .round_shadow_button:hover {
/*        margin: 5px auto 3px;*/
        -moz-box-shadow: 0 0 1px #eee;
        -webkit-box-shadow: 0 0 1px #eee;
        -o-box-shadow: 0 0 1px #eee;
        -ms-box-shadow: 0 0 1px #eee;
        box-shadow: 0 0 1px #eee;
    }
.innerGlow {
    -moz-box-shadow: inset 0 0 3px 3px #f64c51;
    -webkit-box-shadow: inset 0 0 3px 3px #f64c51;
    box-shadow: inset 0 0 3px 3px #f64c51;
    }

    @-webkit-keyframes glow {
        from {
            text-shadow: 0 0 10px #fff, 0 0 20px #fff, 0 0 30px #e60073, 0 0 40px #e60073, 0 0 50px #e60073, 0 0 60px #e60073, 0 0 70px #e60073;
        }

        to {
            text-shadow: 0 0 20px #fff, 0 0 30px #ff4da6, 0 0 40px #ff4da6, 0 0 50px #ff4da6, 0 0 60px #ff4da6, 0 0 70px #ff4da6, 0 0 80px #ff4da6;
        }
    }
    .overflowShow{overflow:visible !important;}
    .left0{left:0 !important;}
    .pull-right {
        font-size: 12px;
        font-weight: 100;
        /*position: relative;*/
        /*top: 1px;*/
    }
    .pull-left {
        font-size: 12px;
    }
input[type=radio] {
    margin: 4px 0 0;
    line-height: normal;
    -webkit-appearance: radio;
}
.liftControl{padding:0;min-width:50px;}
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
.paginate_button.next{float:right;}
.paginate_button.previous{float:left;}
a.paginate_button{font-size:14pt;}
a.paginate_button.current{font-size: 14pt;}
.dataTables_paginate.paging_simple_numbers{text-align:center;}
/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}
.fullWidthInput {
    width: 100%;
}
.tightRight {
    padding-right: 0 !important;
}

.tightLeft {
    padding-left: 0 !important;
}
.tightLeftRight{
    padding-left: 0;
    padding-right: 0;
}
.tight-spacing {
    padding: 1px;
}
.medium-spacing{
    padding: 5px;
}
.no-margin{
    margin:0;
}

.no-padding{
    padding:0;
}


/*JOB NOTES STYLES*/
#JobNotesTab {
    background-color: #ddd;
}
.JobNotesTypeInfo {
    font-size: 80%;
    font: bold 10pt arial;
}

#ModalJobNotes {
    height: calc(100vh - 220px);
    overflow: scroll;
}

.JobNotesBox {
    margin: 6px;
    padding: 8px;
    border-radius: 5px;
}
    #slaBrokenTable tr:nth-child(even) {
        background-color: #f2f2f2;
    }

    #slaBrokenTable tr:hover {
        background-color: #ddd;
    }
.JobNotesDate {
    position: relative;
    font-size: 80%;
    display: inline-block
}

.JobNotesAuthor {
    float: right;
    position: relative;
    font-size: 80%;
    right: 5px;
    top: 5px;
    /*display: inline-block*/
}

.JobNotesMessage {
    position: relative;
    font-size: 100%;
    overflow: hidden;
}
/*JOB LOG NOTES END*/


i.fas {
    background-color: transparent; /*to remove ghosting effect on dark mode*/
}


.switch {
    align-self: flex-end;
    margin: 0.9375rem;
}

.inner-switch {
    display: inline-block;
    cursor: pointer;
    border: 1px solid #555;
    border-radius: 1.25rem;
    width: 3.125rem;
    text-align: center;
    font-size: 1rem;
    padding: 0.1875rem;
    margin-left: 0.3125rem;
}

hr {
    margin-top: 5px;
    margin-bottom: 5px;
    border: 0;
    border-top: 1px solid #eee;
}

.bm1{margin-bottom: 1px;}
.bm2{margin-bottom: 2px;}
.tm1{margin-top: 1px;}
.tm2{margin-top: 2px;}

/*not sure why this is here*/
.ibci {
    background-color: inherit;
}


.PivacyPolicyLink {
    font: bold 14pt arial;
}
/*#wrapper {height: 100vh;}*/
.MainContent {
    min-height: calc(100vh - 100px);
}

.row {
    width: 100%;
    margin-left: 0;
    margin-right: 0;
}

.pr15 {
    padding-right: 15px;
}

.pl15 {
    padding-left: 15px;
}

.MainFooter {
    /*position: -webkit-sticky;
    position: sticky;*/
    bottom: 0;
    position: fixed;
    background-color: black;
    padding-left: 15px;
    margin: 0;
    height: 40px;
    z-index:100;
    padding-top: 2px;
}

.MainFooter a:link {
    color: white;
}

.MainFooter a:hover {
    text-decoration: underline;
    background-color: lightgreen;
}

.MainFooter a:visited {
    color: white;
}

.highlightInput {
    box-shadow: 0 0 5px rgba(81, 203, 238, 1);
    padding: 3px 0px 3px 3px;
    margin: 5px 1px 3px 0px;
    border: 1px solid rgba(81, 203, 238, 1);
}

.dropShadowTop {
    -webkit-box-shadow: 0px -4px 3px rgba(50, 50, 50, 0.75);
    -moz-box-shadow: 0px -4px 3px rgba(50, 50, 50, 0.75);
    box-shadow: 0px -4px 3px rgba(50, 50, 50, 0.75);
    padding-top: 6px;
}

.dropShadowBottom {
    -webkit-box-shadow: 0px -4px 3px rgba(50, 50, 50, 0.75);
    -moz-box-shadow: 0px -4px 3px rgba(50, 50, 50, 0.75);
    box-shadow: 0px -4px 3px rgba(50, 50, 50, 0.75);
    padding-top: 6px;
}
/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */

/* Carousel */
.carousel-caption p {
    font-size: 20px;
    line-height: 1.4
}

/* Make .svg files in the carousel display properly in older browsers */
.carousel-inner .item img[src$=".svg"] {
    width: 100%
}

/* QR code generator */
#qrCode {
    margin: 15px
}

/*MAPPING START*/
#map {
    height: 50vh;
    width: 100%;
}

/*Job Outlook*/
.ViewsColumn {
    z-index: 1;
    overflow: hidden;
    max-height: calc(100% - 5px);
}
#resizable {
    border-bottom: 2px solid gray;
}
.scrollJobsColumn {
    height: calc(100vh - 205px);
}


@media only screen and (max-width: 991px) {
    .ViewsColumn {
        max-height:unset;
    }
    .scrollJobsColumn {
        height: calc(100vh - 25px);
    }
}

/*MEDIA TAGS form MOBILE OVERRIDES*/
@media all and (max-width: 600px) {
    #map {
        height: 40vh;
        width: 100%;
    }

    #CloneJobModal {
        padding: 0
    }

        #CloneJobModal > .partial-content {
            padding: 0
        }

    .wodetails_MCondensed {
        display: inline-block;
        padding: 0;
    }

    .col-xs-3, .rowHeaders, .bg-Customer-dark {
        height: 40px;
        padding: 0 !important;
    }

    #SearchControl-3, .col-md-4 {
        padding-left: 0 !important
    }

        #SearchControl-3, .col-md-4 > .row > .col-md-7 {
            padding-left: 0 !important
        }

    #collapseSearch, panel-body, .collapse, .in {
        padding: 0;
    }

    /*#dl-menu, .dl-menuwrapper{top:-30px !important;}*/
    .column, .demo-2 {
        padding: 5px;
    }

    .inputAddSite {
        width: 150px !important;
    }

    #AddSiteContent {
        display: block !important;
        overflow: scroll !important;
    }

    .mapofSite {
        overflow: visible !important
    }

    div[id^=mapofSite] div {
        overflow: visible !important;
    }
}

/*MAPPING END*/
.ScoreCard {
    margin: 0;
    padding: 0;
}
#ScoreCardContainerLifts {
    max-height: 50px;
    overflow-x: scroll;
    /*    between left side of navbar-quicklinks  AND Rigth Side of ScoreCardContainerProduction     */
    max-width: 1166px;
    scrollbar-width: thin;
    overflow-y: hidden;
    overflow-x: auto;
}
#ScoreCardContainerLiftsPanel {
    width:1166px;
    overflow:hidden;
}
@media screen and (max-width: 968px) {
    #ScoreCardContainer {
        display: none;
    }

    .ScoreCardContainer {
        display: none;
    }

}

@media screen and (max-width:990px){
    #SearchControl-TechETA {
        text-align: center;
    }
}

@media screen and (min-width: 991px) {
    #SearchControl-TechETA {
        text-align: end;
        padding-right: 30px;
    }
}


/* Hide/rearrange for smaller screens */
@media screen and (max-width: 768px) {
    /* Hide captions */
    .carousel-caption {
        display: none
    }

    #ScoreCardContainer {display: none;}
    .ScoreCardContainer{display: none;}
}

.form-label {
    font: bold 12pt/22px arial;
    padding-left: 3px;
    /*color: black;*/
}

.form-label-sm {
    font: bold 9pt/9pt arial;
    padding-left: 3px;
    margin-bottom: 0 !important;
    height: 20px !important;
    color: grey;
    display: inline-block !important;
}

.bg-grey-dark {
    background-color: lightgrey;
    color: white;
}

.bg-Customer-dark {
    background-color: darkgreen !important;
    color: white;
}

.bg-Workorder-dark {
    background-color: darkslateblue;
    color: white;
}

.bg-Metrics-dark {
    background-color: firebrick;
    color: white;
}

.bg-Customer-light {
    background-color: #4cae4c;
}

.bg-Workorder-light {
    background-color: mediumpurple;
}

.bg-Metrics-light {
    background-color: indianred;
}

.form-subtitle {
    font: bold 12pt arial;
    color: black;
    padding-left: 0 !important;
    padding-bottom: 6pt;
}
/*https://www.codeproject.com/Questions/1042961/Watermark-in-Pdf-using-css-or-roativa-PDF-generate*/
#watermarkBackground{
    position:absolute;
    z-index:0;
    background:white;
    display:block;
    min-height:50%; 
    min-width:50%;
    color:yellow;
}
#watermarkText
{
    color:lightgrey;
    font-size:120px;
    transform:rotate(300deg);
    -webkit-transform:rotate(300deg);
    opacity: 0.9;
    filter: alpha(opacity=50);
    background-color: transparent;
}
.watermarkRFQ {
background: url('https://www.api2pdf.com/wp-content/uploads/2018/09/draft.png');
background-repeat: repeat-y;
background-position: center;
background-attachment: fixed;
background-size: 100%;
}


/* Tooltip container 
    https://www.w3schools.com/css/css_tooltip.asp
*/
.div-tooltip {
    position: relative;
    display: inline-block;
    border-bottom: 1px dotted black; /* If you want dots under the hoverable text */
}

    /* Tooltip text */
    .div-tooltip .div-tooltiptext {
        visibility: hidden;
        width: 120px;
        background-color: black;
        color: #fff;
        text-align: center;
        padding: 5px 0;
        border-radius: 6px;
        /* Position the tooltip text - see examples below! */
        position: absolute;
        z-index: 5000;
        top: -24px;
        left: 105%;
    }

    /* Show the tooltip text when you mouse over the tooltip container */
    .div-tooltip:hover .div-tooltiptext {
        visibility: visible;
    }

/*GijGrid overrides*/
.gj-dialog-md-header {
    padding: 4px 10px 0 !important;
}

.nopadding {
    padding: 0;
}

.form-control {
    padding-top: 2px !important;
    padding-bottom: 2px !important;
}

.label {
    margin-bottom: 0 !important;
}

/*Map Panel*/
#dialogLocationMap {
    border: 1px solid black !important;
    width: 70vw !important;
    height: 50vh !important;
}
/*#dialogLocationMapHeader{}*/

/*Accordion Overrides*/
.ui-state-default {
    background-color: lightcyan !important;
}

.ui-state-active {
    background-color: lightblue !important;
}

a:hover {
    -webkit-stroke-width: 8.3px;
    -webkit-stroke-color: #FFFFFF;
    -webkit-fill-color: #FFFFFF;
    text-shadow: 1px 0px 20px red;
}

.ColHeader {
    font: 1em bold arial;
    display: inline-block;
    overflow: hidden;
    border: solid 1px black;
}

.dataGridRowBase {
    display: inline-block;
    font: 10pt bold arial;
    padding-left: 6px;
    margin-bottom: 6px;
}

.Padding-NoLeft {
    padding-left: 0 !important;
}

.inlineb {
    display: inline-block;
}
.bold{font-weight:bold;}

.FloatRight {
    float: right;
}
/*Partners Panel  <style>*/
.ui-autocomplete.ui-widget-content {
    z-index: 9999;
}

input.form-control {
    padding-top: 1px !important;
    height: 25px; /*removed '!important' keyword*/
}

.select-closed{height: 34px;overflow:hidden;}
.select-open{height: 204px; overflow:scroll;background-color:white;}
select.form-control-25 {
    padding-top: 1px !important;
    height: 25px; /*removed '!important' keyword*/
}

PanelContent > label {
    margin-bottom: 0px !important;
    margin-top: 6px !important;
}

.Panelbar-top-links {
    padding: 0 3px 0 3px;
}

.Panelbar {
    padding: 0 3px 0 3px;
}

.details-group {
    min-height: 300px !important;
}

    .details-group h3 {
        padding: 6px;
    }

.group-content {
    margin-left: 6px;
}

#PanelTop {
    background-color: gainsboro;
    border-bottom: 2px solid darkgrey;
    min-height: 50px;
    top: 0;
    position: relative;
}

.PanelTopContent {
    bottom: 0;
    position: relative;
    left: 0;
}

.linkActive {
    color: dodgerblue;
    text-decoration: underline;
}

.linkNormal {
    color: darkslategrey;
    text-decoration: none;
}

.group {
    display: block;
}
.tb{font-weight:bold;}
.dropShadow {
    box-shadow: 0 4px 4px -2px rgba(0,0,0,.2);
    border-bottom: 0 !important;
}
/*</style>*/
.TaskKitContainer{border: var(--Darker-background-color) 4px solid;margin-bottom: 6px;margin-top:10px;}
    .showTaskDiv{width:100%; background-color: var(--Darker-background-color); color:white;}
    /*.showTaskDiv {
        width: 100%;
        color: white;
        background-color: #340069;
        background-image: linear-gradient(#340069, #333 );
    }*/

/*MEDIA TAGS form MOBILE OVERRIDES*/
@media all and (min-width:960px) and (max-width: 1024px) {
    /* put your css styles in here */
    .gj-dialog-md-title {
        font: 1.5rem bold arial !important;
    }

    #dialogPartnerEdit {
        width: 70vw !important;
    }

    .ColHeader {
        font: 1em bold arial;
    }

    .Padding-NoLeft {
        padding-left: 0 !important;
    }
}

@media all and (min-width:801px) and (max-width: 959px) {
    /* put your css styles in here */
    .column, .demo-2{padding: 5px;}
    .gj-dialog-md-title {
        font: 1.4rem bold arial !important;
    }

    #dialogPartnerEdit {
        width: 80vw !important;
    }

    .gj-dialog-md-close {
        line-height: 20px !important;
    }

    .ColHeader {
        font: 1em bold arial;
    }

    .Padding-NoLeft {
        padding-left: 0 !important;
    }
}

@media all and (min-width:769px) and (max-width: 800px) {
    /* put your css styles in here */
    .column, .demo-2{padding: 5px;}

    .gj-dialog-md-title {
        font: 1.3rem bold arial !important;
    }

    #dialogPartnerEdit {
        width: 80vw !important;
    }

    .gj-dialog-md-close {
        line-height: 20px !important;
    }

    .ColHeader {
        font: 1em bold arial;
    }

    .Padding-NoLeft {
        padding-left: 0 !important;
    }
}

@media all and (max-width: 670px){
    .hideLess-670{display:none !important;}
}

@media all and (min-width:569px) and (max-width: 768px) {
    /* put your css styles in here */
    .column, .demo-2{padding: 5px;}

    .gj-dialog-md-title {
        font: 1.2rem bold arial !important;
    }

    #dialogPartnerEdit {
        width: 80vw !important;
        left: 10vw !important;
    }

    .gj-dialog-md-close {
        line-height: 20px !important;
    }

    .ColHeader {
        font: .8em bold arial;
    }

    .panel-heading { height: 40px !important;}


    .PartnersSearchHeaders {
        width: 20vw !important;
        display: inline-block !important;
        padding: 2px 2px 2px 2px;
    }

    .Padding-NoLeft {
        padding-left: 0 !important;
    }
}

@media all and (min-width:481px) and (max-width: 568px) {
    /* put your css styles in here */
    .gj-dialog-md-title {
        font: 1.1rem bold arial !important;
    }

    .panel-heading { height: 90px !important;}

    #dialogPartnerEdit {
        width: 80vw !important;
        left: 10vw !important;
    }

    .gj-dialog-md-close {
        line-height: 20px !important;
    }

    .ColHeader {
        font: .7em bold arial;
    }

    .PartnersSearchHeaders {
        width: 20vw !important;
        display: inline-block !important;
        padding: 2px 2px 2px 2px;
    }

    .Padding-NoLeft {
        padding-left: 0 !important
    }

    #DevWarning {
        font-size: 15pt !important;
    }
}

@media all and (min-width:321px) and (max-width: 480px) {
    /* put your css styles in here */
    .gj-dialog-md-title {
        font: 1rem bold arial !important;
    }
    
    /* this code makes WORM page unusable */
    /* .panel-heading { height: 55px !important;} */

    #dialogPartnerEdit {
        width: 80vw !important;
        left: 10vw !important;
    }

    .gj-dialog-md-close {
        line-height: 20px !important;
    }

    .ColHeader {
        font: .6em bold arial;
    }

    .PartnersSearchHeaders {
        width: 20vw !important;
        display: inline-block !important;
        padding: 2px 2px 2px 2px;
    }

    .Padding-NoLeft {
        padding-left: 15px !important;
    }

    #DevWarning {
        font-size: 10pt !important;
    }
}

@media all and (min-width:0px) and (max-width: 320px) {
    /* put your css styles in here */
    .gj-dialog-md-title {
        font: 1rem bold arial !important;
    }

        .panel-heading { height: 55px !important;}


    #dialogPartnerEdit {
        width: 80vw !important;
        left: 10vw !important;
    }

    .gj-dialog-md-close {
        line-height: 15px;
    }

    .ColHeader {
        font: .5em bold arial;
    }

    .PartnersSearchHeaders {
        width: 20vw !important;
        display: inline-block !important;
        padding: 2px 2px 2px 2px;
    }

    .Padding-NoLeft {
        padding-left: 0 !important;
    }

    #DevWarning {
        font-size: 10pt !important;
    }
    /*#HeaderRowIdentity{width:25vw !important;display:inline-block;}
    #HeaderRowContact{width:25vw !important;display:inline-block;}
    #HeaderRowLocation{width:25vw !important;display:inline-block;}
    #HeaderRowServices{width:25vw !important;display:inline-block;}*/

}

.div-loading {
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
    position: fixed; /* Sit on top of the page content */
    top: 35%;
    left: 25%;
    background-color: rgba(0,0,0,0.5); /* Black background with opacity */
    z-index: 1000; /* Specify a stack order in case you're using a different order for other elements */
    cursor: pointer; /* Add a pointer on hover */
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}


/* Popup container - can be anything you want */
.popup {
    position: relative;
    display: inline-block;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

    /* The actual popup */
    .popup .popuptext {
        visibility: hidden;
        width: 160px;
        background-color: #555;
        color: #fff;
        text-align: center;
        border-radius: 6px;
        padding: 8px 0;
        position: absolute;
        z-index: 1;
        bottom: 125%;
        left: 50%;
        margin-left: -80px;
    }

        /* Popup arrow */
        .popup .popuptext::after {
            content: "";
            position: absolute;
            top: 100%;
            left: 50%;
            margin-left: -5px;
            border-width: 5px;
            border-style: solid;
            border-color: #555 transparent transparent transparent;
        }

    /* Toggle this class - hide and show the popup */
    .popup .show {
        visibility: visible;
        -webkit-animation: fadeIn 1s;
        animation: fadeIn 1s;
    }

/* Add animation (fade in the popup) */
@-webkit-keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

a.dropdown-toggle-white, a.dropdown-toggle {
    color: white;
}

ul.dropdown-shortcut {
    min-width: 110px;
}

    ul.dropdown-shortcut li i.fas {
        width: 15px;
    }
/*<div id="tvshape" style="background-image: url(http://openclipart.org/image/300px/svg_to_png/4112/Clue_Simple_Clouds.png);"></div>*/
#tvshape {
    position: relative;
    width: 200px;
    height: 150px;
    margin: 20px 10px;
    background: #0809fe;
    border-radius: 50% / 10%;
    color: white;
    text-align: center;
    text-indent: .1em;
}

    #tvshape:before {
        content: "";
        position: absolute;
        top: 10%;
        bottom: 10%;
        right: -5%;
        left: -5%;
        background: inherit;
        border-radius: 5% / 50%;
    }

#tvshape {
    background-position: center center;
}

.tabulator-link {
    color: #afb733;
}

.tabulator-cell-selected{
    background-color: #9abcea;
}


span.highlightSearch {
    color: #333;
    background-color: orange;
}




        .ui-tooltip {
            pointer-events: none !important;
        }

/*tabulator view toggler*/

.view-li {
    width: 300px;
}

.view-li-wrapper {
    display: block;
    padding-bottom: 2px;
}

.toggle-column-list {
    width: 32px;
    margin-right: 4px;
    display: inline-block;
}

    .toggle-column-list i {
        color: green;
    }

.menuitem-buttons {
    display: inline-block;
    width: 76px;
}

.menuitem-label {
    display: inline-block;
    width: calc(100% - 122px);
}

.menuitem-share-info {
    display: inline-block;
    width: 20px;
    text-align: end;
}

.menuitem-label input {
    border: none;
    border-bottom: 1px solid;
}

    .StarFavorites{z-index:1002;}
    .StarMenuDropDown{max-width:100px;left:0 !important;overflow:hidden;}
        #navbar-quicklinks {
        /*position: relative;*/
        top: 2px;
        z-index:1002;
    }
    .navbar-top-links li a {
    padding: 15px 0 15px 0;
}

/**
Angga
Custom editor control for Tabulator
*/
.searchable-modal {
    display: block; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}/* Modal Content */
.searchable-modal-content {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
  }

  /* The Close Button */
.searchable-modal-close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
  }
  
  .searchable-modal-close:hover,
  .searchable-modal-close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
  }

.searchable-row {
    display: block;
    margin: 10px 0px;
    padding: 5px;
    cursor: pointer;
}

.searchable-row:hover {
    background-color: #337ab7;
}
/** */

.badge-outline-red{
    display: inline-block;
    min-width: 10px;
    padding: 3px 7px;
    font-size: 14px;
    font-weight: 700;
    line-height: 1;
    color: #af003a;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-color: transparent; 
    border-radius: 10px;
    border: 2px solid  ;
}

.badge-outline-green{
    display: inline-block;
    min-width: 10px;
    padding: 3px 7px;
    font-size: 14px;
    font-weight: 700;
    line-height: 1;
    color: #037003;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-color: transparent; 
    border-radius: 10px;
    border: 2px solid ;
}

.badge-outline-active {
    display: inline-block;
    min-width: 10px;
    padding: 3px 7px;
    font-size: 14px;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-color: #4caf50;
    border-radius: 10px;
    border: 2px solid ;
}
.badge-outline-batching {
    display: inline-block;
    min-width: 10px;
    padding: 3px 7px;
    font-size: 14px;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-color: #03a9f4;
    border-radius: 10px;
    border: 2px solid ;

}
.badge-outline-batched {
    display: inline-block;
    min-width: 10px;
    padding: 3px 7px;
    font-size: 14px;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-color: #e91e63;
    border-radius: 10px;
    border: 2px solid ;

}
.badge-outline-invoicing {
    display: inline-block;
    min-width: 10px;
    padding: 3px 7px;
    font-size: 14px;
    font-weight: 700;
    line-height: 1;
    color: #4caf50;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-color: #fff;
    border-radius: 10px;
    border: 2px solid  #4caf50;

}
.badge-outline-invoiced {
    display: inline-block;
    min-width: 10px;
    padding: 3px 7px;
    font-size: 14px;
    font-weight: 700;
    line-height: 1;
    color: #ff5722;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-color: #fff; 
    border-radius: 10px;
    border: 2px solid  #c7c0bd;
}
.badge-outline-holding {
    display: inline-block;
    min-width: 10px;
    padding: 3px 7px;
    font-size: 14px;
    font-weight: 700;
    line-height: 1;
    color: black;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-color: #e6f04e;
    border-radius: 10px;
    border: 2px solid #c7c0bd;
}
.badge-outline-cancelled {
    display: inline-block;
    min-width: 10px;
    padding: 3px 7px;
    font-size: 14px;
    font-weight: 700;
    line-height: 1;
    color: black;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-color: gray;
    border-radius: 10px;
    border: 2px solid #c7c0bd;
}
.container-narrow{
    padding: 2px;
}

.gray-divider{
    width: 100%;
    height: 3px;
    margin-top:1px;
    margin-bottom: 1px;
    border-bottom:1px solid #858585;
}

h5.modal-title{
    float:left;
}

.form-control-25 {
    height: 25px !important;
}

.p-2 {
    padding: 0 2px;
}

.p-xy-2{
    padding: 2px;  
}

.p-xy-4{
    padding: 4px;
}

/*
.btn-withicon{
    min-height: 20px;
    padding: 1px 6px;
    margin: 2px;
}
*/


.btn-dark {
    color: #ddd;
    background-color: #555;
    border-color: #111;
}

    .btn-dark:focus,
    .btn-dark.focus {
        color: #fff;
        background-color: #666;
        border-color: #111;
    }

    .btn-dark:hover {
        color: #fff;
        background-color: #666;
        border-color: #111;
    }


    .note-toolbar {
        z-index: 100;
    }

@media print {
    .WebOnly {
        visibility: hidden;
        display: none;
    }
}


.p-1{
    padding: 0.5rem;
}

.m-1{
    margin: 0.5rem;
}

.p-x-0{
    padding-left: 0;
    padding-right: 0;
}
.p-y-0 {
    padding-top: 0;
    padding-bottom: 0;
}
.p-x-1 {
    padding-left: 0.5rem;
    padding-right: 0.5rem;
}
.p-y-1 {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
}


.badge-green {
    background-color: green !important;
}
.badge-orange {
    background-color: darkorange !important;
}
.badge-skill {
    max-width: 120px;
    overflow: hidden;
    margin-right: 2px;
    font-size: 8px;
}

  .panelContent {
    vertical-align:top;font-size:10pt;
  }
   .panelcontent-left { 
    text-align:left;display:inline-block;
  }
   .panelcontent-right { 
    text-align:right;display:inline-block;
  }
  
  @keyframes sparkle {
    0% {
      opacity: 0;
      transform: scale(0.8);
    }
    50% {
      opacity: 1;
      transform: scale(1.2);
    }
    100% {
      opacity: 0;
      transform: scale(0.8);
    }
  }

  .ai-button {
    /* Base styles for the button */
    background-color: #007bff;
    color: #fff;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    position: relative;
  }

  .ai-button:after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.2);
    border-radius: inherit;
    animation: sparkle 2s infinite;
  }

  .ai-button:hover {
    background-color: #0056b2;
    box-shadow: 0 0 10px rgba(0, 123, 255, 0.5);
  }

